ECPARAM(1SSL)

NOM
exparam - Manipulation et génération de paramètre EC

SYNOPSIS
openssl ecparam [-inform DER|PEM] [-outform DER|PEM] [-in nom_fichier] [-out nom_fichier] [-noout] [-text] [-C] [-check] [-name param] [-list_curves] [-conv_form param] [-param_enc param] [-no_seed] [-rand fichier(s)] [-genkey] [-engine id]

DESCRIPTION
Cette commande est utilisée pour manipuler ou générer des fichiers de paramètre EC (Elliptic Curve : courbes elliptiques).

OPTIONS

-inform DER|PEM
    Indique le format d'entrée. L'option DER utilise une forme encodée ASN1 DER compatible avec la RFC 3279 EcpkParameters. La forme PEM est le format par défaut : il s'agit d'un format DER encodé base 64 avec des lignes supplémentaires au début et à la fin.

-outform DER|PEM
    Indique le format de sortie. Les options ont la même signification que pour l'option -inform.

-in nom_fichier
    Indique le nom du fichier d'où seront lus les paramètres. Par défaut, l'entrée standard est utilisée.

-out nom_fichier
    Indique le nom du fichier de sortie pour les paramètres. La sortie standard est utilisée si cette option n'est pas présente. Le fichier ne doit pas être identique au fichier d'entrée.

-noout
    Cette option évite la sortie de la version encodée des paramètres.

-text
    Cette option affiche les paramètres EC d'une façon humainement lisible.

-C  Cette option convertit les paramètres EC en code C. Les paramètres peuvent être ensuite chargés en appelant la fonction get_ec_group_XXX().

-check
    Valider les paramètres d'une courbe elliptique.

-name param
    Utiliser les paramètres EC avec le « nom court » indiqué. Utilisez -list_curves pour obtenir la liste des paramètres EC implémentés à l'heure actuelle.

-list_curves
    Si cette option est utilisée, ecparam affichera une liste des noms de tous les paramètres EC implémentés et quitte.

-conv_form
    Indique comment les points de la courbe elliptique sont convertis en chaîne d'octets. Les valeurs possibles sont : compressed (la valeur par défaut), uncompressed et hybrid. Pour plus d'informations concernant la format de conversion des points veuillez lire la norme X9.62. Notez que, du fait de brevets, l'option compressed est désactivée par défaut pour les courbes binaires et peut être activée en définissant la macro du préprocesseur OPENSSL_EC_BIN_PT_COMP lors de la compilation.

-param_enc param
    Indique comment les paramètres de la courbe elliptique sont encodés. Les valeurs possibles sont : named_curve, c'est-à-dire que les paramètres EC sont indiqués par un OID, ou explicit quand les paramètres EC sont fournis explicitement (consultez la RFC 3279 pour la définition des structures de paramètres EC). La valeur par défaut est named_curve. Remarquez que l'autre valeur implicitlyCA, comme précisée dans la RFC 3279, n'est pour l'instant pas implémentée dans OpenSSL.

-no_seed
    Cette option évite que la « graine » pour la génération des paramètres soit incluse dans la structure ECParameters (consultez la RFC 3279).

-genkey
    Cette option générera une clef privée en utilisant les paramètres indiqués.

-rand fichier(s)
    Un ou plusieurs fichiers contenant des données aléatoires utilisées pour initialiser le générateur de nombres pseudoaléatoires, ou une socket EGD (consultez RAND_egd(3)). Plusieurs fichiers peuvent être indiqués en utilisant le séparateur du système d'exploitation : « ; » pour Windows, « , » pour OpenVMS et « : » pour tous les autres.

-engine id
    Indique un moteur (en utilisant son identifiant unique id) qui force ecparam à essayer d'obtenir une référence fonctionnelle pour le moteur indiqué, et l'initialiser si nécessaire. Le moteur sera ensuite utilisé par défaut pour tous les algorithmes disponibles.

NOTES
Le format PEM des paramètres EC utilise les lignes de début et de fin suivantes :

 -----BEGIN EC PARAMETERS-----
 -----END EC PARAMETERS-----

OpenSSL n'est actuellement pas capable de créer de nouveaux groupes et ecparam ne peut donc créer des paramètres EC que pour des courbes connues (précisée par leur nom).

EXEMPLES
Pour créer des paramètres EC avec le groupe « prime192v1 » :

  openssl ecparam -out ec_param.pem -name prime192v1

Pour créer des paramètres EC avec des paramètres explicites :

  openssl ecparam -out ec_param.pem -name prime192v1 -param_enc explicit

Pour valider les paramètres EC fournis :

  openssl ecparam -in ec_param.pem -check

Pour créer des paramètres EC et une clef privée :

  openssl ecparam -out ec_key.pem -name prime192v1 -genkey

Pour utiliser la forme « compressed » d'encodage des points.

  openssl ecparam -in ec_in.pem -out ec_out.pem -conv_form compressed

Pour afficher les paramètres EC sur la sortie standard :

  openssl ecparam -in ec_param.pem -noout -text

VOIR AUSSI
ec(1), dsaparam(1)

HISTORIQUE
La commande ecparam a été introduite pour la première fois dans OpenSSL 0.9.8.

AUTEUR
Nils Larsch pour le projet OpenSSL (http://www.openssl.org)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.